-- 目录表增加加载顺序字段
alter table BIANMU.B_DIRECTORY add SORT integer;
comment on column BIANMU.B_DIRECTORY.SORT is '加载顺序';
-- 置标标签表增加加载顺序字段
alter table BIANMU.B_DATA_LABELS add SORT integer;
comment on column BIANMU.B_DATA_LABELS.SORT is '加载顺序';
-- 更新菜单数据
UPDATE BIANMU.SYS_MENU t
SET t.IS_DELETE = '0',
    t.MENU_NAME = '表单配置',
    t.MENU_PATH = '/sys/form/config/page/index'
WHERE t.MENU_ID = '1525058137475338242';

CREATE TABLE "BIANMU"."SYS_FORM_CONFIG"
(
    "ID" INTEGER IDENTITY(1000, 1) NOT NULL,
    "FORM_TYPE" INTEGER,
    "FIELD_TITLE" VARCHAR2(50),
    "SHOW_TITLE" VARCHAR2(50),
    "FIELD_TYPE" VARCHAR2(50),
    "DEFAULT_VALUE" VARCHAR2(50) DEFAULT '',
    "IS_REQUIRED" BIT DEFAULT 0,
    "IS_DISABLED" BIT DEFAULT 0,
    "IS_SHOW" BIT DEFAULT 1,
    "SORT" INTEGER,
    "CREATE_USER" VARCHAR2(50),
    "CREATE_TIME" TIMESTAMP(6),
    "MODIFY_USER" VARCHAR2(50),
    "MODIFY_TIME" TIMESTAMP(6),
    CLUSTER PRIMARY KEY("ID")
) STORAGE(ON "MAIN", CLUSTERBTR);

COMMENT ON TABLE "BIANMU"."SYS_FORM_CONFIG" IS '系统表单配置表';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."DEFAULT_VALUE" IS '默认值';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."FIELD_TITLE" IS '字段标题';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."FIELD_TYPE" IS '字段类型';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."FORM_TYPE" IS '表单类型：1-资源注册表单，2-文件上传表单';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."ID" IS '主键';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."IS_DISABLED" IS '是否必填：0-非必填，1-必填';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."IS_REQUIRED" IS '是否禁用：0-不禁用，1-禁用';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."IS_SHOW" IS '是否显示';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."MODIFY_TIME" IS '修改时间';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."MODIFY_USER" IS '修改人';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."SHOW_TITLE" IS '显示标题';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."SORT" IS '显示顺序';
