package com.keyware.shandan.system.entity;

import com.baomidou.mybatisplus.annotation.OrderBy;
import com.keyware.shandan.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 系统表单配置实体类
 *
 * @author GuoXin
 * @date 2023/8/23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SysFormConfig extends BaseEntity {

    private static final long serialVersionUID = 6628747783449277117L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 表单类型：1-资源注册表单，2-文件上传表单
     */
    private Integer formType;
    /**
     * 字段名
     */
    private String fieldName;
    /**
     * 字段显示标题
     */
    private String showTitle;
    /**
     * 字段类型
     */
    private String fieldType;
    /**
     * 数据字典类型，只有当fieldType为"dict"时才有效
     */
    private String dictType;
    /**
     * 默认值
     */
    private String defaultValue;
    /**
     * 是否必填：0-非必填，1-必填
     */
    private Boolean isRequired;
    /**
     * 是否禁用：0-不禁用，1-禁用
     */
    private Boolean isDisabled;
    /**
     * 是否禁用：0-不禁用，1-禁用
     */
    private Boolean isShow;
    /**
     * 显示顺序
     */
    @OrderBy(isDesc = false)
    private Integer sort;

}
